Package org.eclipse.net4j.util.om.log

# Interface OMLogger

All Known Implementing Classes:
  `Logger`

public interface OMLogger
The `logger` of a `bundle`.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`OMLogger.Level`
Enumerates the possible severity levels of log events.

## Method Summary

Modifier and Type
Method
Description
`void`
`debug(String msg)`
`void`
`debug(String msg, Throwable t)`
`void`
`debug(Throwable t)`
`void`
`error(String msg)`
`void`
`error(String msg, Throwable t)`
`void`
`error(Throwable t)`
`OMBundle`
`getBundle()`
`void`
`info(String msg)`
`void`
`info(String msg, Throwable t)`
`void`
`info(Throwable t)`
`void`
`log(OMLogger.Level level, String msg)`
`void`
`log(OMLogger.Level level, String msg, Throwable t)`
`void`
`log(OMLogger.Level level, Throwable t)`
`void`
`warn(String msg)`
`void`
`warn(String msg, Throwable t)`
`void`
`warn(Throwable t)`

## Method Details

### getBundle

OMBundle getBundle()

### log

void log(OMLogger.Level level, String msg, Throwable t)

### error

void error(String msg, Throwable t)

### warn

void warn(String msg, Throwable t)

### info

void info(String msg, Throwable t)

### debug

void debug(String msg, Throwable t)

### log

void log(OMLogger.Level level, String msg)

### error

void error(String msg)

### warn

void warn(String msg)

### info

void info(String msg)

### debug

void debug(String msg)

### log

void log(OMLogger.Level level, Throwable t)

### error

void error(Throwable t)

### warn

void warn(Throwable t)

### info

void info(Throwable t)

### debug

void debug(Throwable t)